#pragma once
#include "asset/asset.h"
#include "shader.h"
namespace engineapi {
	class Material : public Asset {
	protected:
		REFL_FRIEND(Material)
		UPROPERTY()
		RscHandle<Shader> mShader;
	public:
		Material();
		~Material();
		RscHandle<Shader> GetShader() {
			return mShader;
		}
	};
};
#include "material_gen.inl"